<?xml version="1.0" encoding="UTF-8"?>
<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - JaDOrT: JASMINe Deployment Orchestration Tool
 - Copyright (C) 2008-2009 Bull S.A.S.
 - Copyright (C) 2008-2009 France Telecom R&D
 - Contact: jasmine@ow2.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 - USA
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id: Topology with JOnAS servers running on virtual machines.xml 3619 2009-05-05 08:50:45Z alitokmen $
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<topology>
  <VMM name="VMM-agent" type="jasmineVMM">
    <URLConnector
      URL="service:jmx:rmi:///jndi/rmi://xyleme.frec.bull.fr:9999/server"
      username="admin" password="admin" />
  </VMM>
  <worker name="loadbalancer" type="mod_proxy_balancer" >
    <URLConnector
      URL="http://xylemeweb/jkmanager"
      username="admin"
      password="admin"/>
  </worker>

  <!-- In this configuration, the machine "xyleme" hosts:
        - Xen
        - The VMM agent, configured to drive Xen, running on host xyleme
        - The virtual machine xylemeweb, running Apache 2.2 on Xen and
          load balancing on the JOnAS servers xyleme1 and xyleme2
        - The virtual machine xyleme1, running JOnAS 5 on Xen
        - The virtual machine xyleme2, running JOnAS 5 on Xen

       These two JOnAS instances are a farm (clustered=false), i.e. there's
       no session replication.
  -->
  <group name="xyleme-MyStore-on-VM" clustered="false">
    <server name="jonas1" capacity="100" type="jonas">
      <URLConnector
        URL="service:jmx:rmi://xyleme1.frec.bull.fr/jndi/rmi://xyleme1.frec.bull.fr:1099/jrmpconnector_jonas"
        username="jonas" password="jonas" />
      <VM name="/Top/GrenobleAdminZone/TEST-ServerFarm/xyleme1" vmm="VMM-agent" />
      <balancer worker="loadbalancer" server="ajp://xyleme1.frec.bull.fr:9043/" />
    </server>
    <server name="jonas2" capacity="100" type="jonas">
      <URLConnector
        URL="service:jmx:rmi://xyleme2.frec.bull.fr/jndi/rmi://xyleme2.frec.bull.fr:1099/jrmpconnector_jonas"
        username="jonas" password="jonas" />
      <VM name="/Top/GrenobleAdminZone/TEST-ServerFarm/xyleme2" vmm="VMM-agent" />
      <balancer worker="loadbalancer" server="ajp://xyleme2.frec.bull.fr:9043/" />
    </server>
  </group>
</topology>
